using PizzeriaContracts.BindingModels;
using PizzeriaContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PizzeriaContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportPizzaComponentViewModel> GetPizzaComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SavePizzasToWordFile(ReportBindingModel model);
        void SavePizzaComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
